# API get list withdraw banks

* **Purpose**: This is the API used to get list approved withdraw bank configs.
* **API**:
  * Path: ***v2/col/withdraw-bank-configs***
  * Method: ***GET***
  * Request: Content-Type: ***application/json***

### **Request Parameter**

<table><thead><tr><th width="239">Parameter</th><th width="124">Data Type</th><th width="101">Required</th><th>Description</th></tr></thead><tbody><tr><td>withdrawType</td><td>String</td><td>N</td><td>Get list approved withdraw bank configs, inclue<br>INTERNATIONAL: Supported international remitout banks.<br>DOMESTIC: local banks in Vietnam.</td></tr></tbody></table>

### **Response Data**

<table><thead><tr><th width="187.33333333333331">Parameter</th><th width="127">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>code</td><td>Number</td><td>Error code, refer to <a href="/pages/Z6i4pnK4y9vE73CiFAF9">table of error codes</a>.</td></tr><tr><td>data</td><td>Array</td><td>Return Array object of GetListWithdrawBanksResponse. Ref to <a href="#getlistwithdrawbanksresponse">GetListWithdrawBanksResponse</a> object.</td></tr><tr><td>message</td><td>String</td><td>Error description</td></tr><tr><td>neoResponseId</td><td>String</td><td>The ID of NeoX response</td></tr></tbody></table>

#### GetListWithdrawBanksResponse

<table><thead><tr><th width="187.33333333333331">Parameter</th><th width="127">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>String</td><td>Bank config id</td></tr><tr><td>bankSwiftCode</td><td>String</td><td>Bank swiftcode.</td></tr><tr><td>bankName</td><td>String</td><td>Bank name</td></tr><tr><td>bankBranch</td><td>String</td><td>Bank branch</td></tr><tr><td>bankAccountNumber</td><td>String</td><td>Bank account number</td></tr><tr><td>bankAccountName</td><td>String</td><td>Bank account name</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neox.vn/docs/v2/collections/integration/apis-for-withdraw-requests-management/get-list-support-withdraw-bank.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
